Core resources
Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsBooking flow
Query availabilitySearch availabilityBookItems in the navigation bar of a site
iduuidUnique identifier
site_page_iduuid | nullIdentifier of the related page. Only applies when type is internal
created_attimestamp with time zoneCreation timestamp
labelMultiLanguageStringLocalized label of the navigation item
orderintegerOrder of the navigation item as displayed on the site
target"_blank" | "_self"Where the link is opened (_self, or _blank)
urlMultiLanguageStringURL of the navigation item. Only applies when type is external
JSON
{
"id": "00000000-0000-0000-0000-000000000000",
"parent_id": "00000000-0000-0000-0000-000000000000",
"site_id": "00000000-0000-0000-0000-000000000000",
"site_page_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-03-12T04:02:28.654Z",
"label": {
"default": "Hello",
"nl-NL": "Hallo"
},
"order": 0,
"target": "_self",
"url": {
"default": "Hello",
"nl-NL": "Hallo"
}
}idFilter<uuid>Unique identifier
site_page_idFilter<uuid | null>Identifier of the related page. Only applies when type is internal
created_atFilter<timestamp with time zone>Creation timestamp
labelFilter<MultiLanguageString>Localized label of the navigation item
orderFilter<integer>Order of the navigation item as displayed on the site
targetFilter<"_blank" | "_self">Where the link is opened (_self, or _blank)
urlFilter<MultiLanguageString>URL of the navigation item. Only applies when type is external
200A list of site nav items with the selected columns
206Partial Content
GET /site_nav_itemscurl -X GET "https://api.bookingmood.com/v1/site_nav_items?select=*" \
-H "Authorization: Bearer YOUR_API_KEY"Partial<SiteNavItem> | Array<Partial<SiteNavItem>>201The newly created site nav items with the selected columns
POST /site_nav_itemscurl -X POST "https://api.bookingmood.com/v1/site_nav_items" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '[]'idFilter<uuid>Unique identifier
site_page_idFilter<uuid | null>Identifier of the related page. Only applies when type is internal
created_atFilter<timestamp with time zone>Creation timestamp
labelFilter<MultiLanguageString>Localized label of the navigation item
orderFilter<integer>Order of the navigation item as displayed on the site
targetFilter<"_blank" | "_self">Where the link is opened (_self, or _blank)
urlFilter<MultiLanguageString>URL of the navigation item. Only applies when type is external
204The deleted site nav items with the selected columns
DELETE /site_nav_itemscurl -X DELETE "https://api.bookingmood.com/v1/site_nav_items" \
-H "Authorization: Bearer YOUR_API_KEY"idFilter<uuid>Unique identifier
site_page_idFilter<uuid | null>Identifier of the related page. Only applies when type is internal
created_atFilter<timestamp with time zone>Creation timestamp
labelFilter<MultiLanguageString>Localized label of the navigation item
orderFilter<integer>Order of the navigation item as displayed on the site
targetFilter<"_blank" | "_self">Where the link is opened (_self, or _blank)
urlFilter<MultiLanguageString>URL of the navigation item. Only applies when type is external
Partial<SiteNavItem>204The updated site nav items with the selected columns
PATCH /site_nav_itemscurl -X PATCH "https://api.bookingmood.com/v1/site_nav_items" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{}'